Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://app.supported.tech/api/user/automate/flows/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.supported.tech/api/user/automate/flows/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.supported.tech/api/user/automate/flows/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "yHhXbqWj3zJZ5ztDNfUry",
"status": "SUCCEEDED",
"start_time": "2026-07-24T18:23:59.634Z",
"duration_ms": 1
},
{
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410
}
]
}
{
"run": {
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410,
"steps": [
{ "name": "trigger", "status": "SUCCEEDED", "classification": "ok", "error": null },
{
"name": "step_1",
"status": "FAILED",
"classification": "missing_connection",
"error": "Request failed with status code 401"
}
]
}
}
{
"message": "Run not found for this automation"
}
List an automation’s recent executions, or one execution’s step-by-step detail
run_id to get one execution’s step-by-step detail with a per-step classification — this is your debugger when an automation is failing.
Once you have fixed what made a run fail, retry it from its failed step with Retry automation run — take the run’s id from this list.
run_id)Show run properties
run_id for the step-by-step detail, or to Retry automation run for a failed runSUCCEEDED, FAILED, PAUSED (parked at a Delay step waiting for its target time — not a failure) or RUNNINGrun_id)Show run properties
SUCCEEDED, FAILED, PAUSED or RUNNINGtest.steps of Create automation: {name, status, classification, error}, where classification is ok, paused_at_delay, wiring_error, missing_connection or missing_record404 with {"message": "Automation not found"}. A run_id that does not belong to this automation returns a 404 with {"message": "Run not found for this automation"}.
{
"runs": [
{
"id": "yHhXbqWj3zJZ5ztDNfUry",
"status": "SUCCEEDED",
"start_time": "2026-07-24T18:23:59.634Z",
"duration_ms": 1
},
{
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410
}
]
}
{
"run": {
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410,
"steps": [
{ "name": "trigger", "status": "SUCCEEDED", "classification": "ok", "error": null },
{
"name": "step_1",
"status": "FAILED",
"classification": "missing_connection",
"error": "Request failed with status code 401"
}
]
}
}
{
"message": "Run not found for this automation"
}
